Debian Bug report logs - #636668
kfreebsd-amd64: various failures

Package: installation-reports; Maintainer for installation-reports is Debian Install Team <debian-boot@lists.debian.org>;

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Fri, 5 Aug 2011 00:18:02 UTC

Severity: normal

Tags: d-i

Done: Holger Levsen <holger@layer-acht.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 00:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 00:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 02:14:01 +0200
Package: installation-reports
Severity: normal
Tags: d-i



-- Package-specific info:

Boot method: CD
Image version: ftp://cdimage.debian.org/cdimage/release/6.0.2.1/kfreebsd-amd64/iso-cd/debian-6.0.2.1-kfreebsd-amd64-netinst.iso
Date: <Date and time of the install>

Machine: DELL PowerEdge
Partitions: <df -Tl will do; the raw partition table is preferred>


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [E]
Configure network:      [ ]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [E]
Install base system:    [O]
Clock/timezone setup:   [ ]
User/password setup:    [O]
Install tasks:          [ ]
Install boot loader:    [E]
Overall install:        [E]

Comments/Problems:

Hello,

Just tried to install kfreebsd-amd64 on a DELL PowerEdge, and it was
quite a failure.

- The Broadcom 14e4:164c card is not recognized, because the bce driver
  is disabled due to firmware blob. Since this was a netinst, I
  installed without network.
- The hard disk was properly discovered, but the partitioning step was
  awfully slow. I noticed on console 4 that it was complaining about
  partitions not being properly aligned on slices, about 5 times, one
  per second. There was indeed an already-installer Debian Linux System,
  which I was overwriting. It seemed like the existing partitioning
  disturbed partman to the point that it kept being busy for 5 seconds
  (spitting the warning every second) at basically each step, thus
  making the whole process extremely long.
  I had chosen ZFS everywhere, and a separate /var and /usr, 
- Installation then proceeded fine.
- The boot loader step failed at first. console 4 was complaining that
  /boot/zfs wasn't existing. I mkdired it by hand, and then it proceeded
  fine.
- It rebooted fine, I configured the serial console in both grub and
  inittab/securetty.
- However, /usr and /var were not mounted. Actually /etc/fstab did not
  even mention them. I tried to mount them by hand, but even though the
  zfs module is loaded, I failed to manage to mount them. I've tried the
  following:

root@hermes:/# mount /dev/da0s8 /usr
mount: /dev/da0s8 : Invalid argument
root@hermes:/# mount /dev/da0s8 /usr -t zfs
mount: /dev/da0s8 : Invalid argument
root@hermes:/# mount /dev/da0s8 /usr -t zfs -o local
mount: /dev/da0s8 : Invalid argument

I know very little about kfreebsd, so maybe I am missing some way to
mount it in a more low-level way.

- The zfsutils package is not installed (though I do remember having
  seen in the log that partman scheduled its installation, but
  apparently the .deb is not on the netinst CD)

- Trying to mount a CD brought me:

root@hermes:/# mount /dev/cd0 /mnt/mnt -t cd9660
mount_cd9660: error while loading shared libraries: libkiconv.so.4: cannot ope

which is indeed supposed to be in /usr/lib

- A last concern is that the hardware network console (BMC) is on COM2,
not COM1, so the -h option to the kernel is not enough to get console
there.

Samuel

-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer hardware-summary:
==============================================
uname -a: GNU/kFreeBSD hermes 8.1-1-amd64 #0 Mon Feb 21 22:03:13 UTC 2011 x86_64 amd64 InD
lspci
00:10.2 8086:25f0 [0600] Host Bridge
00:11.0 8086:25f1 [0600] Host Bridge                            
00:13.0 8086:25f3 [0600] Host Bridge                               
00:15.0 8086:25f5 [0600] Host Bridge           
00:16.0 8086:25f6 [0600] Host Bridge
00:1c.0 8086:2690 [0604] PCI-PCI Bridge                       
00:1d.0 8086:2688 [0c03] USB Controller
00:1d.1 8086:2689 [0c03] USB Controller
00:1d.2 8086:268a [0c03] USB Controller
00:1d.7 8086:268c [0c03] USB Controller [PI 20]
00:1e.0 8086:244e [0604] PCI-PCI Bridge [PI 01]
00:1f.0 8086:2670 [0601] ISA Bridge
00:1f.1 8086:269e [0101] IDE Controller [PI 8a]
01:00.0 8086:032c [0604] PCI-PCI Bridge
02:08.0 1000:0054 [0100] SCSI Controller
03:00.0 1166:0103 [0604] PCI-PCI Bridge
04:00.0 14e4:164c [0200] Ethernet Controller
05:00.0 8086:3500 [0604] PCI-PCI Bridge
05:00.3 8086:350c [0604] PCI-PCI Bridge
06:00.0 8086:3510 [0604] PCI-PCI Bridge
06:01.0 8086:3514 [0604] PCI-PCI Bridge
07:00.0 1166:0103 [0604] PCI-PCI Bridge
08:00.0 14e4:164c [0200] Ethernet Controller
0f:0d.0 1002:515e [0300] VGA Controller

lsmod:
Id Refs Address            Size     Name
 1    9 0xffffffff80200000 bf3000   kfreebsd-8.1-1-amd64.gz
 2    2 0xffffffff80f88000 2eae     opensolaris.ko
 3    1 0xffffffff80f8b000 1901df   zfs.ko

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 12:12:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 12:13:58 GMT) Full text and rfc822 format available.

Message #10 received at 636668@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 636668@bugs.debian.org, debian-bsd@lists.debian.org, debian-cd@packages.debian.org
Subject: Re: Bug#636668: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 14:09:38 +0200
Samuel Thibault, le Fri 05 Aug 2011 02:14:01 +0200, a écrit :
> - The boot loader step failed at first. console 4 was complaining that
>   /boot/zfs wasn't existing.
> - However, /usr and /var were not mounted.

Actually, these two are probably simply a consequence of this

> - The zfsutils package is not installed (though I do remember having
>   seen in the log that partman scheduled its installation, but
>   apparently the .deb is not on the netinst CD)

which itself is a consequence of this

> - The Broadcom 14e4:164c card is not recognized, because the bce driver
>   is disabled due to firmware blob. Since this was a netinst, I

So a proper-enough fix would be to make sure that zfsutils are on the
netinst CD which, AIUI, is supposed to contain enough packages to
install a working base system. debian-cd maintainers, do you agree?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 12:45:06 GMT) Full text and rfc822 format available.

Message #15 received at 636668@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: 636668@bugs.debian.org
Subject: Re: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 14:42:13 +0200
> - The hard disk was properly discovered, but the partitioning step was
>   awfully slow.

This may be related to partman-zfs.  For now I've only worried about
adding the missing features and correcting bugs, I think it still has
much room for optimization.

If someone wants to help with this, I suggest instrumenting all calls
to zpool(8) and zfs(8) commands.  I suspect they may be called LOTS of
times in certain situations.

>   I noticed on console 4 that it was complaining about
>   partitions not being properly aligned on slices, about 5 times, one
>   per second.

This is a harmless message (see #603380), but I thought the fix made
it to squeeze.

I guess kfreebsd-kernel-di needs an update.

> - However, /usr and /var were not mounted. Actually /etc/fstab did not
>   even mention them.

Was your root filesystem missing in fstab too?

Btw, which version of partman-zfs were you using?

> root@hermes:/# mount /dev/da0s8 /usr
> mount: /dev/da0s8 : Invalid argument
> root@hermes:/# mount /dev/da0s8 /usr -t zfs
> mount: /dev/da0s8 : Invalid argument
> root@hermes:/# mount /dev/da0s8 /usr -t zfs -o local
> mount: /dev/da0s8 : Invalid argument

That's not correct; on ZFS you mount the dataset from a ZFS pool,
never directly from a physical device.

With legacy mount command this would be:

  mount mypool/myfilesystem /usr

which is equivalent to:

  zfs set mountpoint=/usr mypool/myfilesystem

You can obtain a list of pools and filesystems with:

  zfs list

Or display the status of all imported pools (including their physical
devices) with:

  zpool status

If you want more info I recommend
http://wiki.freebsd.org/ZFSQuickStartGuide as a quick introduction.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 12:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 12:48:23 GMT) Full text and rfc822 format available.

Message #20 received at 636668@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Samuel Thibault <sthibault@debian.org>, 636668@bugs.debian.org, debian-bsd@lists.debian.org, debian-cd@lists.debian.org
Subject: Re: Bug#636668: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 13:43:32 +0100
On Fri, Aug 05, 2011 at 02:09:38PM +0200, Samuel Thibault wrote:
>Samuel Thibault, le Fri 05 Aug 2011 02:14:01 +0200, a écrit :
>> - The boot loader step failed at first. console 4 was complaining that
>>   /boot/zfs wasn't existing.
>> - However, /usr and /var were not mounted.
>
>Actually, these two are probably simply a consequence of this
>
>> - The zfsutils package is not installed (though I do remember having
>>   seen in the log that partman scheduled its installation, but
>>   apparently the .deb is not on the netinst CD)
>
>which itself is a consequence of this
>
>> - The Broadcom 14e4:164c card is not recognized, because the bce driver
>>   is disabled due to firmware blob. Since this was a netinst, I
>
>So a proper-enough fix would be to make sure that zfsutils are on the
>netinst CD which, AIUI, is supposed to contain enough packages to
>install a working base system. debian-cd maintainers, do you agree?

Sure, makes sense. Committed on trunk just now. Do we want that change
backported for future Squeeze builds?

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
You lock the door
And throw away the key
There's someone in my head but it's not me 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 12:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 12:54:17 GMT) Full text and rfc822 format available.

Message #25 received at 636668@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 636668@bugs.debian.org
Subject: Re: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 14:53:23 +0200
Robert Millan, le Fri 05 Aug 2011 14:42:13 +0200, a écrit :
> > - However, /usr and /var were not mounted. Actually /etc/fstab did not
> >   even mention them.
> 
> Was your root filesystem missing in fstab too?

Yes. Only things like floppy/cdrom/proc were there.

> Btw, which version of partman-zfs were you using?

The one from the squeeze 6.0.2.1 installer, 5.

> You can obtain a list of pools and filesystems with:
> 
>   zfs list

But zfsutils was not installed due to missing network and missing
zfsutils on the netinst CD.  This actually might be why the fstab was
empty actually.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 12:57:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 12:57:33 GMT) Full text and rfc822 format available.

Message #30 received at 636668@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: 636668@bugs.debian.org, debian-bsd@lists.debian.org, debian-cd@lists.debian.org
Subject: Re: Bug#636668: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 14:54:20 +0200
Steve McIntyre, le Fri 05 Aug 2011 13:43:32 +0100, a écrit :
> >So a proper-enough fix would be to make sure that zfsutils are on the
> >netinst CD which, AIUI, is supposed to contain enough packages to
> >install a working base system. debian-cd maintainers, do you agree?
> 
> Sure, makes sense. Committed on trunk just now. Do we want that change
> backported for future Squeeze builds?

I believe we do. The installed system is really completely usuable
otherwise (I was already lucky that nano is in /bin...)

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 13:15:03 GMT) Full text and rfc822 format available.

Message #35 received at 636668@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Samuel Thibault <sthibault@debian.org>, 636668@bugs.debian.org, debian-bsd@lists.debian.org, debian-cd@lists.debian.org
Subject: Re: Bug#636668: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 14:12:40 +0100
On Fri, Aug 05, 2011 at 02:54:20PM +0200, Samuel Thibault wrote:
>Steve McIntyre, le Fri 05 Aug 2011 13:43:32 +0100, a écrit :
>> >So a proper-enough fix would be to make sure that zfsutils are on the
>> >netinst CD which, AIUI, is supposed to contain enough packages to
>> >install a working base system. debian-cd maintainers, do you agree?
>> 
>> Sure, makes sense. Committed on trunk just now. Do we want that change
>> backported for future Squeeze builds?
>
>I believe we do. The installed system is really completely usuable
>otherwise (I was already lucky that nano is in /bin...)

OK, done.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Into the distance, a ribbon of black
Stretched to the point of no turning back





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 13:45:05 GMT) Full text and rfc822 format available.

Message #40 received at 636668@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: 636668@bugs.debian.org
Subject: Re: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 15:40:00 +0200
Hi Samuel,

2011/8/5 Samuel Thibault <sthibault@debian.org>:
>> Btw, which version of partman-zfs were you using?
>
> The one from the squeeze 6.0.2.1 installer, 5.

I really think these problems should be fixed by upgrading partman-zfs
in squeeze installer.  I'll bring this up once my latest improvements
have stabilized.

>> You can obtain a list of pools and filesystems with:
>>
>>   zfs list
>
> But zfsutils was not installed due to missing network and missing
> zfsutils on the netinst CD.

zfs and zpool are also available in zfsutils-udeb (outside the /target
hierrachy).  They must have been present because otherwise you
wouldn't have been able to create ZFS filesystems at all.

> This actually might be why the fstab was
> empty actually.

fstab is generated using zfsutils-udeb only.  This is probably a bug
in partman-zfs 5.  AFAIK latest daily builds don't exhibit this
problem.

Btw partman-zfs is broken in current sid for single-disk pools.  I
committed a fix few hours ago but can't upload right now as I'm
leaving for the weekend (anyone feel free to).

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 14:15:05 GMT) Full text and rfc822 format available.

Message #45 received at 636668@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 636668@bugs.debian.org
Subject: Re: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 16:10:49 +0200
Robert Millan, le Fri 05 Aug 2011 15:40:00 +0200, a écrit :
> >> You can obtain a list of pools and filesystems with:
> >>
> >>   zfs list
> >
> > But zfsutils was not installed due to missing network and missing
> > zfsutils on the netinst CD.
> 
> zfs and zpool are also available in zfsutils-udeb (outside the /target
> hierrachy).  They must have been present because otherwise you
> wouldn't have been able to create ZFS filesystems at all.

Sure, but I'm talking about the installed system, not d-i. D-i had no
problem mounting everything and filling them, yes.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 16:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 16:54:05 GMT) Full text and rfc822 format available.

Message #50 received at 636668@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 636668@bugs.debian.org
Subject: Re: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 18:51:13 +0200
Hello,

Robert Millan, le Fri 05 Aug 2011 15:40:00 +0200, a écrit :
> 2011/8/5 Samuel Thibault <sthibault@debian.org>:
> >> Btw, which version of partman-zfs were you using?
> >
> > The one from the squeeze 6.0.2.1 installer, 5.
> 
> I really think these problems should be fixed by upgrading partman-zfs
> in squeeze installer.  I'll bring this up once my latest improvements
> have stabilized.

Good. I'm rebuilding my own installer image for the bce driver anyway.
I have a problem with partman-zfs version 12: I have set up a separate
/boot UFS partition, and then used a multi-disk ZFS pool. partman-zfs
still complains that I need a separate /boot. The test in
get_zfs_root_boot indeed seems to shout if / is in the ZFS pool even if
/boot isn't.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Fri, 05 Aug 2011 21:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 05 Aug 2011 21:24:09 GMT) Full text and rfc822 format available.

Message #55 received at 636668@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 636668@bugs.debian.org
Subject: Re: kfreebsd-amd64: various failures
Date: Fri, 5 Aug 2011 23:19:09 +0200
Robert Millan, le Fri 05 Aug 2011 14:42:13 +0200, a écrit :
> > - However, /usr and /var were not mounted. Actually /etc/fstab did not
> >   even mention them.
> 
> Was your root filesystem missing in fstab too?

I've done more tests in kvm, and will reinstall on the actual box later
and re-submit another installation report. In my tests, /etc/fstab was
never filled with hdd entries, but that's not an issue, zfs does mount
things anyway.

One problem, however, is that zfs needs libexpat and libsbuf which are
in /usr/lib. It's thu still unable to mount /usr...  I have also an
issue with dhclient, which looks for libipx which is in /usr/lib too,
while dhclient gets started before /usr is mounted.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Sun, 07 Aug 2011 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 07 Aug 2011 16:36:03 GMT) Full text and rfc822 format available.

Message #60 received at 636668@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: 636668@bugs.debian.org
Subject: Re: kfreebsd-amd64: various failures
Date: Sun, 7 Aug 2011 18:34:34 +0200
2011/8/5 Samuel Thibault <sthibault@debian.org>:
> Good. I'm rebuilding my own installer image for the bce driver anyway.
> I have a problem with partman-zfs version 12: I have set up a separate
> /boot UFS partition, and then used a multi-disk ZFS pool. partman-zfs
> still complains that I need a separate /boot. The test in
> get_zfs_root_boot indeed seems to shout if / is in the ZFS pool even if
> /boot isn't.

Thanks, I just fixed this in the repository.  Btw please file bugs on
partman-zfs if you find more problems.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#636668; Package installation-reports. (Sun, 07 Aug 2011 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sun, 07 Aug 2011 16:39:05 GMT) Full text and rfc822 format available.

Message #65 received at 636668@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: 636668@bugs.debian.org
Subject: Re: kfreebsd-amd64: various failures
Date: Sun, 7 Aug 2011 18:38:14 +0200
2011/8/5 Samuel Thibault <sthibault@debian.org>:
> In my tests, /etc/fstab was
> never filled with hdd entries, but that's not an issue, zfs does mount
> things anyway.

Actually, it does.  But partman-zfs 13 should DTRT with fstab.

> One problem, however, is that zfs needs libexpat and libsbuf which are
> in /usr/lib. It's thu still unable to mount /usr...

Please can you file a bug on zfsutils?

> I have also an
> issue with dhclient, which looks for libipx which is in /usr/lib too,
> while dhclient gets started before /usr is mounted.

This would be a bug in the package providing dhclient (isc-dhcp-client
?).  Please make sure debian-bsd is CCed.

Thanks!

-- 
Robert Millan




Reply sent to Holger Levsen <holger@layer-acht.org>:
You have taken responsibility. (Tue, 16 Jul 2013 12:36:18 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Tue, 16 Jul 2013 12:36:18 GMT) Full text and rfc822 format available.

Message #70 received at 636668-done@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: control@bugs.debian.org
Cc: 561595-done@bugs.debian.org, 629921-done@bugs.debian.org, 636668-done@bugs.debian.org, 690292-done@bugs.debian.org, 694358-done@bugs.debian.org
Subject: old kreebsd bugs
Date: Tue, 16 Jul 2013 14:33:03 +0200
[Message part 1 (text/plain, inline)]
reassign 623217 kfreebsd-9
tags 673468 + moreinfo
reassign 691346 kfreebsd-9
thanks

Hi,

thanks for submitting installation reports, much appreciated!

I've closed the ones which either have been dealt with or which are very old / 
have little information and which probably have been fixed by now. If you 
still encounter problems installing Debian/kfreebsd please submit a new bug 
report.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Aug 2013 07:34:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 15:59:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.